don/urls.py
from django.conf import settings
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('', include('web.urls')),
    path('api/', include('don_api.urls')),
]

if settings.DEBUG:
    urlpatterns += [
        path('admin/', admin.site.urls),
        path("__debug__/", include("debug_toolbar.urls")),
    ]

web/urls.py
from django.conf import settings
from django.urls import path
from django.views import defaults as default_views
from django.views.generic.base import RedirectView
from django.urls import reverse_lazy

from .views.api import (
    APIListView, APIDetailView, APISpecificationView, APIAddView,
    APIAddSuccessView, APIValidatorReportsView, OpenApiSpecGenerator
)
from .views.generic import TemplateView
from .views.index import RootRedirectView
from .views.organization import OrganizationDetailView, OrganizationListView
from .views.repository import RepositoryListView, RepositoryAddView, RepositoryAddSuccessView, RepositoryDetailView
from .views.statistics import StatisticsView, APIStatisticsView

app_name = "web"


def redirect_view(view_url):
    """
    Helper view function specifically for the redirects below since they take
    a kwarg slug as an argument.
    """
    return RedirectView.as_view(
        url=reverse_lazy(view_url, kwargs={}),
        permanent=True)


urlpatterns = [
    path("", RootRedirectView.as_view(), name="index_redirect"),
    path("apis", APIListView.as_view(), name="api_list"),
    path("apis/toevoegen", APIAddView.as_view(), name="api_add"),
    path("apis/toevoegen/succes", APIAddSuccessView.as_view(), name="api_add_success"),
    path("apis/<slug:api_id>", APIDetailView.as_view(), name="api_detail"),
    path("apis/<slug:api_id>/score-details", APIValidatorReportsView.as_view(), name="api_validator_reports"),
    path("apis/<slug:api_id>/specificatie/<str:environment_name>", APISpecificationView.as_view(),
         name="api_specification"),
    path("organisaties", OrganizationListView.as_view(), name="organization_list"),
    path("organisaties/<slug:slug>", OrganizationDetailView.as_view(), name="organization_detail"),
    path("repositories", RepositoryListView.as_view(), name="repository_list"),
    path("repositories/<slug:slug>", RepositoryDetailView.as_view(), name="repository_detail"),
    path('repositorys', redirect_view('web:repository_list')),
    path("toevoegen/repository", RepositoryAddView.as_view(), name="repository_add"),
    path("toevoegen/repository/succes", RepositoryAddSuccessView.as_view(), name="repository_add_success"),
    path("statistieken", StatisticsView.as_view(), name="statistics"),
    path("api-statistieken", APIStatisticsView.as_view(), name="statistics"),
    path("tools/oas-generator", OpenApiSpecGenerator.as_view(), name="oas_generator"),
    # path("kennisplatform-apis", KennisplatformApisView.as_view(), name="kennisplatform-apis"),
    # path("kennisplatform-apis/intentieverklaring-api-strategie", IntentieverklaringView.as_view(), name="intentieverklaring-api-strategie"),
    path("contact", TemplateView.as_view(title="Contact", template_name="contact.html"), name="contact"),
    path("over", TemplateView.as_view(
        title="Over Developer Overheid",
        description="Eén centrale plek voor de developer die voor of met de overheid ontwikkelt",
        template_name="content/about.html",
    ), name="content_about"),
    path("privacy", TemplateView.as_view(title="Privacyverklaring", template_name="content/privacy.html"),
         name="content_privacy"),
    path(".well-known/security.txt", RedirectView.as_view(url="https://www.ncsc.nl/.well-known/security.txt")),
]

if settings.DEBUG:
    urlpatterns += [
        path("error/400", default_views.bad_request, {"exception": Exception("Bad request")}),
    path("error/404", default_views.page_not_found, {"exception": Exception("Page not Found")}),
        path("error/500", default_views.server_error),
    ]

core/models/api.py
from django.db import models
from django.urls import reverse
from django.utils.translation import gettext_lazy as _

from . import MAX_ENUM_LENGTH, MAX_TEXT_LENGTH, MAX_URL_LENGTH

from .organization import Organization
from .topic import Topic
from .validator import ForeignValidatorReport, BaseValidatorReport, ValidatorReportsMixin


class API(ValidatorReportsMixin["APIValidatorReport"], models.Model):
    class APIType(models.TextChoices):
        UNKNOWN = 'unknown', 'Onbekend'
        ODATA = 'odata', 'OData'
        REST_JSON = 'rest_json', 'REST/JSON'
        REST_XML = 'rest_xml', 'REST/XML'
        SOAP_XML = 'soap_xml', 'SOAP/XML'
        GRPC = 'grpc', 'gRPC'
        GRAPHQL = 'graphql', 'GraphQL'
        SPARQL = 'sparql', 'SPARQL'
        WFS = 'wfs', 'WFS'
        WMS = 'wms', 'WMS'

    class APIAuthentication(models.TextChoices):
        UNKNOWN = 'unknown', 'Unknown'
        NONE = 'none', 'None'
        MUTUAL_TLS = 'mutual_tls', 'Mutal TLS'
        API_KEY = 'api_key', 'API key'
        IP_ALLOW_LIST = 'ip_allow_list', 'IP allow list'
        OAUTH2 = "oauth2", "OAuth 2.0"

    api_id = models.CharField(max_length=MAX_TEXT_LENGTH, unique=True)
    description = models.TextField()
    organization = models.ForeignKey(
        Organization, verbose_name=_("organization"), on_delete=models.PROTECT)
    service_name = models.CharField(max_length=MAX_TEXT_LENGTH)
    api_type = models.CharField(
        max_length=MAX_ENUM_LENGTH,
        choices=APIType.choices,
        default=APIType.UNKNOWN
    )
    api_authentication = models.CharField(
        max_length=MAX_ENUM_LENGTH,
        choices=APIAuthentication.choices,
        default=APIAuthentication.UNKNOWN
    )
    is_reference_implementation = models.BooleanField(default=False)

    contact_email = models.CharField(max_length=MAX_TEXT_LENGTH, blank=True)
    contact_phone = models.CharField(max_length=MAX_TEXT_LENGTH, blank=True)
    contact_url = models.URLField(max_length=MAX_URL_LENGTH, blank=True)

    terms_government_only = models.BooleanField(null=True)
    terms_pay_per_use = models.BooleanField(null=True)
    terms_uptime_guarantee = models.DecimalField(
        null=True,
        decimal_places=6,
        max_digits=8,
    )
    terms_support_response_time = models.PositiveIntegerField(
        help_text='Measured in number of workdays',
        null=True,
    )

    forum_vendor = models.CharField(max_length=MAX_ENUM_LENGTH, blank=True)
    forum_url = models.URLField(max_length=MAX_URL_LENGTH, blank=True)

    discourse_topic_url = models.CharField(max_length=MAX_URL_LENGTH, blank=True)

    badges = models.ManyToManyField(
        'Badge',
        through='APIBadge',
        related_name='apis',
    )
    referenced_apis = models.ManyToManyField(
        'self',
        through='Relation',
        symmetrical=False,
        related_name='referenced_by_apis',
    )
    topics = models.ManyToManyField(Topic)

    def __str__(self):
        return self.api_id

    def get_absolute_url(self):
        return reverse("web:api_detail", kwargs={"api_id": self.api_id})

    def get_production_environment(self):
        return self.environments.filter(name=Environment.EnvironmentType.PRODUCTION).first()

    ADR_TESTABLE_TYPES = (APIType.REST_JSON.ODATA, APIType.REST_JSON, APIType.REST_XML)
    """API's of these types can be tested on API Design Rules"""

    def is_adr_testable(self):
        return self.api_type in self.ADR_TESTABLE_TYPES

    class Meta:
        verbose_name = _("API")
        verbose_name_plural = _("APIs")


class Environment(models.Model):
    class EnvironmentType(models.TextChoices):
        PRODUCTION = 'production', 'Production'
        ACCEPTANCE = 'acceptance', 'Acceptance'
        TEST = 'test', 'Test'
        DEMO = 'demo', 'Demo'

    name = models.CharField(max_length=MAX_ENUM_LENGTH, choices=EnvironmentType.choices)
    api_url = models.URLField(max_length=MAX_URL_LENGTH)
    specification_url = models.URLField(max_length=MAX_URL_LENGTH, blank=True)
    documentation_url = models.URLField(max_length=MAX_URL_LENGTH, blank=True)

    api = models.ForeignKey(
        API,
        to_field='api_id',
        on_delete=models.CASCADE,
        related_name='environments',
    )

    def __str__(self):
        return f"{self.name} - {self.api_url}"


class Relation(models.Model):
    TYPE_REFERENCE_IMPLEMENTATION = "reference-implementation"

    name = models.CharField(max_length=MAX_TEXT_LENGTH, blank=True)
    from_api = models.ForeignKey(
        API,
        to_field='api_id',
        on_delete=models.CASCADE,
        related_name='relations_from',
    )
    to_api = models.ForeignKey(
        API,
        to_field='api_id',
        on_delete=models.PROTECT,
        related_name='relations_to',
    )

    def __str__(self):
        return f'{self.from_api_id} {self.name} {self.to_api_id}'


class APIValidatorReport(BaseValidatorReport):
    api = ForeignValidatorReport(API)

web/templates/partials/api_item.html
{% load don_template_functions %}
<li class="card card--padding-md card--horizontal mb-2">
    <div class="card__body">
        <div class="card__left">
            <a href="{% url 'web:api_detail' api_id=api.api_id %}" class="card__link">
                <h4 class="card__title">{{ api.service_name }}</h4>
            </a>
            <a href="{{ api.organization.get_absolute_url }}" class="card__sub-title">{{ api.organization.name }}</a>
            {% if api.description %}
            <p class="card__description mb-0">{{ api.description | truncatewords:42 }}</p>
            {% endif %}
            {% if api.topics.all %}
            <div class="mt-2">
                {% for name in api.topics.all %}
                <a href="{{ request.path_info }}?thema={{ name }}" class="pill pill--gray pill--clickable">{{ name }}</a>
                {% endfor %}
            </div>
            {% endif %}
        </div>
        <div class="card__right">
            <div class="pill pill--white pill--sm">
                {{ api.get_api_type_display }}
            </div>
            {% if api.latest_validator_reports.count %}
            <div class="card__right__grades mt-4 ml-3">
                {% for validator_report in api.latest_validator_reports %}
                    {% if validator_report.report.ruleset.id != 2 %}
                        {% score_pie validator_report.report is_large=False %}
                    {% endif %}
                {% endfor %}
            </div>
            {% endif %}
        </div>
    </div>
</li>

web/templates/partials/api_list_results.html
<div class="filters">{% include "partials/facet_filters.html" %}</div>
<div class="results">
    <div class="results__header">
        {% if paginator.count %}<span class="results-count filter-hx-indicator">{{ paginator.count }} API{{ paginator.count | pluralize:"'s" }}</span>{% endif %}
        <a href="{% url 'web:api_add' %}" class="button button--add-icon">API toevoegen</a>
    </div>
    <div class="filter-hx-indicator filter-spinner mb-04">
        <div class="spinner"></div>
    </div>
    {% if paginator.count %}
        <ul class="results__list item-list filter-hx-indicator">
            {% for api in object_list %}
                {% include "partials/api_item.html" with api=api %}
            {% endfor %}
        </ul>
        {% include "partials/paginator.html" %}
    {% else %}
        Geen API's gevonden.
    {% endif %}
</div>

web/templates/partials/breadcrumb.html
<nav class="breadcrumb mb-4" aria-label="Breadcrumb">
    <ul>
        <li>
            <a href="{% if is_apis %}{% url 'web:api_list' %}{% else %}{% url 'web:repository_list' %}{% endif %}">Home</a>
        </li>
        {% for breadcrumb in breadcrumbs %}
        {% if forloop.last %}
        <li>
            <a aria-current="page" href="{{ breadcrumb.url }}">{{ breadcrumb.title }}</a>
        </li>
        {% else %}
        <li>
            {% if breadcrumb.url %}
            <a href="{{ breadcrumb.url }}">{{ breadcrumb.title }}</a>
            {% else %}
            <span>{{ breadcrumb.title }}</span>
            {% endif %}
        </li>
        {% endif %}
        {% endfor %}
    </ul>
</nav>

web/templates/partials/call_to_action_cards.html
{% load static don_template_functions %}

<div class="relative z-99">
  <div class="container -mt-8">
    <div class="call-to-actions md:grid grid-cols-3 gap-4">
      <a href="https://community.developer.overheid.nl/" target="_blank" class="card card--call-to-action mb-4 md:mb-0" aria-label="Onze community">
        <div class="card--call-to-action__icon">
          <svg width="40" height="40">
            <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-messages" />
          </svg>
        </div>
        <h3 class="card__title">Onze community</h3>
        <p class="card__description">Ga in gesprek met andere developers en vind hier getting started guides, tutorials en tools.</p>
        <div class="card__footer">
          <svg class="card__footer__icon mr-3" width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
            <path d="M6.67969 1.60547L7.45312 0.832031C7.80469 0.515625 8.33203 0.515625 8.64844 0.832031L15.5039 7.65234C15.8203 8.00391 15.8203 8.53125 15.5039 8.84766L8.64844 15.7031C8.33203 16.0195 7.80469 16.0195 7.45312 15.7031L6.67969 14.9297C6.36328 14.5781 6.36328 14.0508 6.67969 13.6992L10.9336 9.65625H0.84375C0.351562 9.65625 0 9.30469 0 8.8125V7.6875C0 7.23047 0.351562 6.84375 0.84375 6.84375H10.9336L6.67969 2.83594C6.36328 2.48438 6.32812 1.95703 6.67969 1.60547Z" />
          </svg>
          <span class="card__footer__text">Naar community</span>
        </div>
      </a>
      <a href="{% url 'web:api_list' %}" class="card card--call-to-action mb-4 md:mb-0">
        <div class="card--call-to-action__icon">
          <svg>
            <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-affiliate" />
          </svg>
        </div>
        <h3 class="card__title">Vind een API</h3>
        <p class="card__description">Bekijk welke API's er allemaal zijn en kom er achter hoe je jouw oplossing hier op kan laten aansluiten.</p>
        <div class="card__footer">
          <svg class="card__footer__icon mr-3" width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
            <path d="M6.67969 1.60547L7.45312 0.832031C7.80469 0.515625 8.33203 0.515625 8.64844 0.832031L15.5039 7.65234C15.8203 8.00391 15.8203 8.53125 15.5039 8.84766L8.64844 15.7031C8.33203 16.0195 7.80469 16.0195 7.45312 15.7031L6.67969 14.9297C6.36328 14.5781 6.36328 14.0508 6.67969 13.6992L10.9336 9.65625H0.84375C0.351562 9.65625 0 9.30469 0 8.8125V7.6875C0 7.23047 0.351562 6.84375 0.84375 6.84375H10.9336L6.67969 2.83594C6.36328 2.48438 6.32812 1.95703 6.67969 1.60547Z" />
          </svg>
          <span class="card__footer__text">Zoek API's</span>
        </div>
      </a>
      <a href="{% url 'web:repository_list' %}" class="card card--call-to-action">
        <div class="card--call-to-action__icon">
          <svg width="40" height="40">
            <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-code" />
          </svg>
        </div>
        <h3 class="card__title">Vind een repository</h3>
        <p class="card__description">Vind bestaande repositories om bij aan te haken en ontdek wat er binnen welke organisatie beschikbaar is.</p>
        <div class="card__footer">
          <svg class="card__footer__icon mr-3" width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
            <path d="M6.67969 1.60547L7.45312 0.832031C7.80469 0.515625 8.33203 0.515625 8.64844 0.832031L15.5039 7.65234C15.8203 8.00391 15.8203 8.53125 15.5039 8.84766L8.64844 15.7031C8.33203 16.0195 7.80469 16.0195 7.45312 15.7031L6.67969 14.9297C6.36328 14.5781 6.36328 14.0508 6.67969 13.6992L10.9336 9.65625H0.84375C0.351562 9.65625 0 9.30469 0 8.8125V7.6875C0 7.23047 0.351562 6.84375 0.84375 6.84375H10.9336L6.67969 2.83594C6.36328 2.48438 6.32812 1.95703 6.67969 1.60547Z" />
          </svg>
          <span class="card__footer__text">Zoek repositories</span>
        </div>
      </a>
    </div>
  </div>
</div>

web/templates/partials/external_link.html
{% load static %}
<a href="{{ href }}" target="_blank" rel="noopener noreferrer">
    {{ title }}
    <svg class="icon icon--sm ml-1">
        <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-external-link" />
    </svg>
</a>

web/templates/partials/main_navigation.html
{% load static %}
<header class="header">
    <div class="container header__container">
        <a class="header__container__logo"
           href="{% if is_apis %}{% url 'web:api_list' %}{% else %}{% url 'web:repository_list' %}{% endif %}"
           {% if request.resolver_match.view_name == "web:api_list" or request.resolver_match.view_name == "web:repository_list" %}
            aria-current="page"
            {% endif %}>
            <img src="{% static 'images/logo.svg' %}" width="28" alt="Logo" class="mr-3">
            {% if is_apis %}
            Developer Overheid API Register
            {% elif is_oss %}
            Developer Overheid Open Source Register
            {% else %}
            Developer Overheid
            {% endif %}
        </a>
        <h1 class="hidden">{% if is_apis %}
            API Register
            {% elif is_oss %}
            Open Source Register
            {% else %}
            Developer Overheid
            {% endif %}</h1>
        <!--        <nav class="header__container__links">-->
<!--            <ul aria-label="Website navigatie" class="header__container__links__internal">-->
<!--                <li>-->
<!--                    <a class="header__container__links__internal__link {% if 'web:api_' in request.resolver_match.view_name %}active{% endif %}"-->
<!--                        href="{% url 'web:api_list' %}"-->
<!--                        {% if request.resolver_match.view_name == 'web:api_list' %} aria-current="page" {% endif %}>-->
<!--                        API's-->
<!--                    </a>-->
<!--                </li>-->
<!--                <li>-->
<!--                    <a class="header__container__links__internal__link {% if 'web:repository_' in request.resolver_match.view_name %}active{% endif %}"-->
<!--                        href="{% url 'web:repository_list' %}"-->
<!--                        {% if request.resolver_match.view_name == 'web:repository_list'  %} aria-current="page" {% endif %}>-->
<!--                        Repositories-->
<!--                    </a>-->
<!--                </li>-->
<!--                <li>-->
<!--                    <a href="https://community.developer.overheid.nl/docs" class="header__container__links__internal__link"  aria-label="Onze community">-->
<!--                        Kennisbank-->
<!--                    </a>-->
<!--                </li>-->
<!--                <li>-->
<!--                    <a href="https://community.developer.overheid.nl/" class="header__container__links__internal__link"  aria-label="Onze community">-->
<!--                        Community-->
<!--                    </a>-->
<!--                </li>-->
<!--            </ul>-->
<!--        </nav>-->
<!--        <button type="button"-->
<!--        id="mobile-navigation-toggle"-->
<!--        class="header__container__mobile-navigation-btn"-->
<!--        aria-expanded="false"-->
<!--        aria-controls="mobile-navigation-drawer">-->
<!--            {% include "partials/tabler-icon.html" with icon_title="menu-2" classname="size-12" %}-->
<!--        </button>-->
    </div>
</header>

web/templates/partials/mobile_navigation.html
{% load static don_template_functions %}
<div id="wrapper" class="mobile-navigation">
    <div class="mobile-navigation__backdrop mobile-navigation-close-on-click" id="mobile-navigation-backdrop"></div>
    <div role="dialog"
         aria-label="Subnavigatie"
         id="mobile-navigation-drawer"
         class="mobile-navigation__drawer">
        <div class="mobile-navigation__drawer__header">
            <button type="button"
                    title="Navigatie sluiten"
                    class="mobile-navigation__drawer__header__close-btn mobile-navigation-close-on-click">
            </button>
        </div>
        <ul class="mobile-navigation__drawer__navigation">
            <li>
                <a href="{% url 'web:api_list' %}" class="{% if request.resolver_match.view_name == 'web:index' %}active{% endif %}">
                    Home
                </a>
            </li>
            <li>
                <a href="{% url 'web:api_list' %}" class="{% if 'web:api_' in request.resolver_match.view_name %} active{% endif %}">
                    API's
                </a>
            </li>
            <li>
                <a href="{% url 'web:repository_list' %}" class="{% if request.resolver_match.view_name == 'web:repository_list' %}active{% endif %}">
                    Repositories
                </a>
            </li>
            {% include "partials/navigation_secondary_links.html" %}
        </ul>
    </div>
</div>

web/templates/partials/repository_item.html
{% load static i18n don_template_functions %}

{% if repository.archived %}
<div class="card__header mb-0">
    <p class="card__header__archived">
        Deze repository wordt niet actief ontwikkeld of onderhouden en is <span title="De gearchiveerde status word gegeven aan projecten waar geen onderhoud op is en input niet word behandeld. Bijvoorbeeld oude en ongebruikte projecten of eenmalige Wet Open Overheid vrijgave.">gearchiveerd</span>.
    </p>
</div>
{% endif %}
<li class="card card--horizontal card--padding-md mb-2 {% if repository.archived %} card--not-rounded-top {% endif %}">
    <div class="card__body">
        <div class="card__avatar">
            {% if repository.avatar_url %}
            <img src="{{ repository.avatar_url }}" alt="Avatar van {{ repository.name }}"/>
            {% else %}
            <img src="{% static 'images/repository-placeholder.svg' %}" alt=""/>
            {% endif %}
        </div>
        <div class="card__left card__left--full-width">
            <div class="card__left__links flex">
                <a href="{% url 'web:repository_detail' slug=repository.slug %}" class="card__link card__link--around-avatar mb-0">{{ owner_name }} / <span class="font-weight-600">{{ repository.name }}</span></a>
            </div>
            <a href="{{ repository.organization.get_absolute_url }}" class="card__sub-title">{{ repository.organization.name }}</a>
            
            <div class="card__description mb-3">
                {% if repository.description %}
                    {{ repository.description }}
                {% else %}
                    <i>Geen beschrijving ingevuld</i>
                {% endif %}
            </div>
            {% if repository.topics.all %}
            <div class="mb-2">
                {% for name in repository.topics.all %}
                <a href="{{ request.path_info }}?thema={{ name }}" class="pill pill--gray topic-pill pill--clickable mb-1">{{ name }}</a>
                {% endfor %}
            </div>
            {% endif %}
            <div class="card__details">
                {% if repository.main_programming_language or stars_url or forks_url or issues_url %}
                <div class="card__details__left">
                    {% if repository.main_programming_language %}
                    <div class="programming-language mr-4">
                        <span class="programming-language__dot" style="background:{{ repository.main_programming_language.color }}"></span>
                        {{ repository.main_programming_language }}
                    </div>
                    {% endif %}
                </div>
                {% endif %}
                <div class="flex ml-0 mt-1 md:mt-0">
                    <svg class="mr-1 size-5" viewBox="0 0 24 24">
                        <path fill="none" d="M0 0H24V24H0z"></path>
                        <path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12h2c0 4.418 3.582 8 8 8s8-3.582 8-8-3.582-8-8-8C9.25 4 6.824 5.387 5.385 7.5H8v2H2v-6h2V6c1.824-2.43 4.729-4 8-4zm1 5v4.585l3.243 3.243-1.415 1.415L11 12.413V7h2z"></path>
                    </svg>{% language "nl" %}{{ repository.last_change | don_naturaltime }}{% endlanguage %} bijgewerkt
                </div>
            </div>
        </div>
    </div>
</li>

web/templates/partials/repository_list_results.html
{% load don_template_functions %}
<div class="filters">{% include "partials/facet_filters.html" %}</div>
<div class="results">
    <div class="results__header">
        {% if paginator.count %}<span class="results-count filter-hx-indicator">{{ paginator.count }} {% if paginator.count == 1 %} repository {% else %} repositories {% endif %}</span>{% endif %}
        <a href="{% url 'web:repository_add' %}" class="button button--add-icon">Repository toevoegen</a>
    </div>
    <div class="filter-hx-indicator filter-spinner mb-04">
        <div class="spinner"></div>
    </div>
    {% if paginator.count %}
        <ul class="results__list item-list filter-hx-indicator ">
            {% for repository in repository_list %}
                {% repository_item repository %}
            {% endfor %}
        </ul>
        {% include "partials/paginator.html" %}
    {% else %}
        Geen repositories gevonden.
    {% endif %}
</div>

web/templates/partials/score_pie.html
{% if is_large %}<div class="score-block score-block--{{ class_name }} card__cell">{% endif %}
    <div
        title="{{ ruleset_title }}"
        class="pie-chart pie-chart--full pie-chart--score-{{ class_name }} {% if is_large %}pie-chart--large{% endif %} ">
        <div class="pie-chart__pie">
            <svg viewBox="0 0 1 1">
                <circle cx="0.5" cy="0.5" r="0.44285714285714284" stroke="#9E9E9E" stroke-width="0.11428571428571428"
                    stroke-dasharray="2.782553493179531 2.782553493179531" stroke-dashoffset="{{ stroke_dashoffset }}"
                    fill-opacity="0" transform="rotate(-90 0.5 0.5)"></circle>
            </svg>
            <div class="pie-chart__bg"></div>
        </div>
        <div class="pie-chart__text">
            {{ score }}<small class="pie-chart__bg__text-small">/{{ max_score }}</small>
        </div>
    </div>
{% if is_large %}</div>{% endif %}

web/templates/partials/tabler-icon.html
{% load static %}
<svg class="icon {{ classname }}" aria-hidden="true">
    <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-{{ icon_title }}" />
</svg>

web/templates/partials/validator_reports_summary.html
{% load don_template_functions %}

{% for validator_report in validator_reports %}
    {% with report=validator_report.report %}
        {% if report.ruleset.id != 2 %}
        <div class="validator-report-summary card card--padding-md mb-2">
            <div class="validator-report-summary__text">
                <h3 class="validator-report-summary__text__title mb-xs mt-0">{{ report.ruleset.title }}</h3>
                <p class="validator-report-summary__text__p">
                    {{ report.ruleset.description | urlize }}
                </p>
            </div>
            {% score_pie report is_large=True %}
        </div>
        {% endif %}
    {% endwith %}
{% endfor %}